Package org.bukkit

# Enum Class GrassSpecies

java.lang.Object
java.lang.Enum<GrassSpecies>
org.bukkit.GrassSpecies

All Implemented Interfaces:
  `Serializable`, `Comparable<GrassSpecies>`, `Constable`

@Deprecated public enum GrassSpecies extends Enum<GrassSpecies>
Deprecated.
use `BlockData`
Represents the different types of grass.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEAD`
Deprecated.
Represents the dead looking grass.
`FERN_LIKE`
Deprecated.
Represents the fern-looking grass species.
`NORMAL`
Deprecated.
Represents the normal grass species.

## Method Summary

Modifier and Type
Method
Description
`static @Nullable GrassSpecies`
`getByData(byte data)`
Deprecated.
Magic value
`byte`
`getData()`
Deprecated.
Magic value
`static GrassSpecies`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static GrassSpecies[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEAD

public static final GrassSpecies DEAD
Deprecated.
Represents the dead looking grass.

### NORMAL

public static final GrassSpecies NORMAL
Deprecated.
Represents the normal grass species.

### FERN_LIKE

public static final GrassSpecies FERN_LIKE
Deprecated.
Represents the fern-looking grass species.

## Method Details

### values

public static GrassSpecies[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GrassSpecies valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getData

@Deprecated public byte getData()
Deprecated.
Magic value
Gets the associated data value representing this species

Returns:
  A byte containing the data value of this grass species

### getByData

@Deprecated @Nullable public static @Nullable GrassSpecies getByData(byte data)
Deprecated.
Magic value
Gets the GrassSpecies with the given data value

Parameters:
  `data` - Data value to fetch
Returns:
  The `GrassSpecies` representing the given value, or null if it doesn't exist